PHP Manual
Prev |  | Next

# SDO_DAS_XML::loadFile

(no version information, might be only in CVS)

SDO_DAS_XML::loadFile -- Returns SDO_DAS_XML_Document object for a given path to xml instance document

## Description

SDO_XMLDocument SDO_DAS_XML::loadFile ( string xml_file )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Constructs the tree of SDO_DataObjects from the given address to xml instance document. Returns SDO_DAS_XML_Document Object. Use SDO_DAS_XML_Document::getRootDataObject method to get root data object.

## Parameters

`xml_file`

  Path to Instance document. This can be a path to a local file or it can be a URL.

## Return Values

Returns SDO_DAS_XML_Document object on Success or throws exception as described.

## Errors/Exceptions

`SDO_TypeNotFoundException`

  Thrown if a type is not defined by the underlying model.

`SDO_PropertyNotFoundException`

  Thrown if a property within a type is not defined in the underlying model.

`SDO_DAS_XML_ParserException`

  Thrown for any problems while parsing the given XSD File.

`SDO_DAS_XML_FileException`

  Thrown if the specified file cannot be found.

Prev | Home | Next
SDO_DAS_XML::createDocument | Up | SDO_DAS_XML::loadString